Page MenuHomePhabricator

[Serialization] ArrayTypeTraitExpr: serialize sub-expression to avoid keeping it undefined
AbandonedPublic

Authored by a.sidorin on Sep 21 2016, 9:34 AM.

Details

Summary

I have encountered a segfault when I tried to get sub-expression of serialized ArrayTypeTraitExpr. The fix is simple but I have no idea about nice test. Maybe you have any suggestions?

Diff Detail

Event Timeline

a.sidorin updated this revision to Diff 72074.Sep 21 2016, 9:34 AM
a.sidorin retitled this revision from to [Serialization] ArrayTypeTraitExpr: serialize sub-expression to avoid keeping it undefined.
a.sidorin updated this object.
a.sidorin added a subscriber: cfe-commits.

You need to add tests for serialization/deserialization

aaron.ballman edited edge metadata.Sep 22 2016, 7:02 AM

Serialization tests usually come from PCH, so you could probably look in test/PCH to get ideas on how to test this.

khazem added a subscriber: khazem.Sep 25 2016, 6:25 PM
a.sidorin abandoned this revision.Oct 3 2016, 5:33 AM

Merged into D14326 and committed.